For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
        • Themes
            • GETList Themes
            • POSTUpload Theme
            • GETGet Theme
            • DELDelete Theme
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentThemes

Upload Theme

POST
https://api.bigcommerce.com/stores/:store_hash/v3/themes
POST
/stores/:store_hash/v3/themes
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/themes \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: multipart/form-data" \
> -F file=@theme_upload.zip
201response
1{
2 "job_id": "a1b2c3d4e5f67890123456789abcdef0"
3}
Uploads a new *Theme* to your BigCommerce store. **Required Fields** * file
Was this page helpful?
Previous

List Themes

Next

Get Theme

Built with

Uploads a new Theme to your BigCommerce store.

Required Fields

  • file

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Themesmodifystore_themes_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a multipart form containing a file.
filefileRequired
The file.

Response

Job ID for the background job processing the theme upload.
job_idstring
The job identifier.